package main

import (
	"git.entr0py.de/garionion/murphy/scanner"
	"git.entr0py.de/garionion/murphy/store"
	"github.com/mehdioa/nlog"
	"sync"
	"time"
)

var log *nlog.Logger

const source = "/mnt/clarkson"
const gracePeriod = time.Hour * 24 * 30

func main() {
	formatter := nlog.NewTextFormatter(true, true)
	log = nlog.NewLogger(nlog.DebugLevel, formatter)
	sourcePaths := []string{source}
	s := store.NewStore(log, sourcePaths, gracePeriod)

	scanner.InitScanner(s)

	wg := new(sync.WaitGroup)
	wg.Add(2)
	wg.Wait()
}
